
# When gotcha is defined globally all is well.
# If you define it in the subnets instead, you will find that
# clients get always get 175.16.1.1 for next-server (siaddr)
# This is based on a user submitted conf, where they defined
# the same class twice inside subnets. 
#
# As a further note of interest, because the same class is
# defined twice there is only one actual class instance,
# the latter.  Thus all clients also get a domain-name of
# "class2.isc.org"

class "gotcha" {
   option domain-name "global.isc.org";
   match if substring (option dhcp-client-identifier, 0, 6) = "client";
}

subnet 175.16.1.0 netmask 255.255.255.0 {
    next-server 175.16.1.1;
    range 175.16.1.100 175.16.1.200;
#    class "gotcha" {
#        option domain-name "class1.isc.org";
#        match if substring (option dhcp-client-identifier, 0, 6) = "client";
#    }
}

subnet 178.16.1.0 netmask 255.255.255.0 {
    next-server 178.16.1.1;
    range 178.16.1.100 178.16.1.200;
#    class "gotcha" {
#        option domain-name "class2.isc.org";
#        match if substring (option dhcp-client-identifier, 0, 6) = "client";
#    }
}

omapi-port 7911;

